> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete address

> Delete address



## OpenAPI

````yaml https://openapi.commercengine.io/ce-pos.json delete /pos/customers/{id}/addresses/{address_id}
openapi: 3.1.0
info:
  title: CE POS APIs
  description: >-
    The consolidated Point of Sale surface. Every operation is served under the
    storefront base URL; operations tagged POSAdmin are proxied to the admin
    service by the POS backend.
  version: '1.0'
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security:
  - Authorization: []
tags:
  - name: POS
    description: Operations backed by the storefront service
  - name: POSAdmin
    description: Operations proxied to the admin service
paths:
  /pos/customers/{id}/addresses/{address_id}:
    delete:
      tags:
        - POSAdmin
      summary: Delete address
      description: Delete address
      operationId: pos-delete-address
      parameters:
        - name: address_id
          in: path
          description: address id
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: customer id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
      security:
        - Authorization: []
components:
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````